Karia
ReferencesOpenapiOrigination

Generate quote documents

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/generate-docs

Generate either an indicative or final quote document for the specified quote.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
dealId*string
quoteId*string
application/json
  1. body
document_type*string
Value in"indicative_quote""final_quote"

Response Body

Successful response

application/json
  1. response
message*string
presignedUrl*string
documentId*string
downloadUrl*string
fileName*string
document_type*string
Value in"indicative_quote""final_quote"
Example Request
curl -X POST 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string/quote/string/generate-docs' \  -H 'Content-Type: application/json' \  -d '{  "document_type": "indicative_quote"}'
Example Response
{  "message": "string",  "presignedUrl": "string",  "documentId": "string",  "downloadUrl": "string",  "fileName": "string",  "document_type": "indicative_quote"}